## papers 48.3

=== debian/changelog ===
papers (48.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 14:54:42 -0400

=== debian/control ===
Source: papers
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-apparmor,
               dh-cargo,
               dh-sequence-gir,
               dh-sequence-gnome,
               appstream,
               desktop-file-utils,
               gi-docgen (>= 2021.1) <!nodoc>,
               gir-rust-code-generator,
               gir1.2-gdk-4.0-dev,
               gir1.2-gdkpixbuf-2.0-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-gtk-4.0-dev,
               gobject-introspection (>= 1.0),
               gsettings-desktop-schemas-dev,
               itstool,
               libadwaita-1-dev (>= 1.6.0),
               libarchive-dev (>= 3.6.0),
               libcairo2-dev (>= 1.14.0),
               libdjvulibre-dev (>= 2.0),
               libexempi-dev (>= 2.0),
               libgdk-pixbuf-2.0-dev (>= 2.40),
               libgirepository1.0-dev (>= 1.0),
               libglib2.0-dev (>= 2.75),
               libgtk-4-dev (>= 4.17.1),
               libnautilus-extension-dev (>= 43),
               libpoppler-glib-dev (>= 25.03),
               librust-bitflags-2-dev,
               librust-env-logger-0.11-dev,
               librust-futures-0.3-dev,
               librust-gettext-rs-0.7+gettext-system-dev,
               librust-gtk4+gnome-45-dev,
               librust-libadwaita-0.7+v1-5-dev,
               librust-libc-0.2-dev,
               librust-log-0.4-dev,
               librust-lru-0.12-dev,
               librust-oo7-0.3-dev,
               librust-shell-words-1-dev,
               librust-system-deps-7-dev,
               librust-tempfile-3-dev <!nocheck>,
               libspelling-1-dev,
               libtiff-dev (>= 4),
               meson (>= 0.59.0),
               rustfmt,
               xmlstarlet,
               zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/papers
Vcs-Git: https://salsa.debian.org/gnome-team/papers.git
Homepage: https://apps.gnome.org/Papers/

Package: papers
Architecture: any
Depends: gsettings-desktop-schemas,
         libppsdocument-4.0-5 (= ${binary:Version}),
         libppsview-4.0-4 (= ${binary:Version}),
         papers-common (>= ${source:Version}),
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: djvu-viewer, pdf-viewer
Suggests: gvfs, nautilus-sendto, poppler-data, unrar
Enhances: nautilus
Description: PDF document viewer for GNOME
 Papers is a simple multi-page document viewer. It can display and print
 Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
 Format (PDF) and TIFF files. When supported by the document, it also
 allows searching for text, copying text to the clipboard, hypertext
 navigation, and table-of-contents bookmarks.

Package: papers-common
Architecture: all
Depends: ${misc:Depends}
Description: PDF document viewer for GNOME - common files
 Papers is a simple multi-page document viewer. It can display and print
 Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
 Format (PDF) and TIFF files. When supported by the document, it also
 allows searching for text, copying text to the clipboard, hypertext
 navigation, and table-of-contents bookmarks.
 .
 This package contains architecture-independent files for papers.

Package: libppsdocument-4.0-5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document (Comic Books, DjVu, PDF) rendering library
 This package contains libppsdocument, which performs the rendering of the
 documents.
 .
 It ships with a pdf, tiff, djvu, and comics backend.

Package: libppsview-4.0-4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document (Comic Books, DjVu, PDF) rendering library - GTK widgets
 This package contains libppsview, which provides GTK widgets for displaying
 documents.

Package: libpapers-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libadwaita-1-dev,
         libppsdocument-4.0-5 (= ${binary:Version}),
         libppsview-4.0-4 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: Document (Comic Books, DjVu, PDF) rendering library - development files
 This package contains papers-related libraries for rendering and displaying
 Papers documents like Comic Books archives (CBR, CBT, CBZ, CB7), DjVu,
 Portable Document Format (PDF) and TIFF files.
 * libppsdocument, which performs the rendering of the documents
 * libppsview, which provides GTK widgets for displaying documents
 .
 This package provides the development files.

Package: libpapers-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Suggests: devhelp
Description: Document (Comic Books, DjVu, PDF) rendering library - documentation
 This package contains papers-related libraries for rendering and displaying
 Papers documents like Comic Books archives (CBR, CBT, CBZ, CB7), DjVu,
 Portable Document Format (PDF) and TIFF files.
 * libppsdocument, which performs the rendering of the documents
 * libppsview, which provides GTK widgets for displaying documents
 .
 This package provides the developers' documentation.

Package: gir1.2-papers-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Provides: ${gir:Provides}
Description: GObject introspection data for the papers libraries
 Papers is a simple multi-page document viewer. It can display and print
 Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
 Format (PDF) and TIFF files. When supported by the document, it also
 allows searching for text, copying text to the clipboard, hypertext
 navigation, and table-of-contents bookmarks.
 .
 This package contains introspection data for the libppsview and
 libppsdocument libraries. It can be used by packages using the
 GIRepository format to generate dynamic bindings.

## papers 48.5

=== debian/changelog ===
papers (48.5-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/gbp.conf, d/watch: Only watch for 48.x for now.
    We'll track 48.x in testing/unstable for now, to get more testing
    for possible future trixie updates.
  * New upstream bugfix release 48.4
    - Only enable the digital signing action if the document format
      supports it
      (papers!581 upstream)
    - Correct the display of digital signatures: previously documents with
      valid signatures were shown as invalid and vice versa
      (papers!602 upstream)
    - When launched to open a file, open that file, instead of another copy of
      the same file that is already open
      (papers!585 upstream)
    - When entering presentation mode, don't start rendering until the window
      has reached its fullscreen size, fixing blurry rendering
      (papers#438 upstream)
    - Fix signing cursor changing unexpectedly before signatures
      (papers!533 upstream)
    - Format the last-modified annotation in the local time zone
      (papers#398 upstream)
    - Remove an unnecessary help page (papers#443 upstream)
    - Translation updates
    - macOS build/CI changes not relevant to Debian
  * New upstream bugfix release 48.5
    - Don't preview links after the cursor has already left the link
      (papers#465 upstream)
    - Allow link preview to happen more than once for the same link
      (papers#466 upstream)
    - Fix a translation issue when showing the number of pending
      print jobs (papers!625 upstream)
    - Ignore the scroll offset when drawing the signing area, so that it will
      be drawn in the correct place
      (papers!534 upstream)
    - When quitting the app, prompt to save documents with unsaved changes
      or for whether a pending print job should continue
    - Fix navigation between pages via internal links in continuous mode
      (papers#462 upstream)
    - Fix a focus issue (papers!612 upstream)
    - Improve selection performance
      (papers!591 upstream)
    - Fix assertion warnings during exit by removing all child widgets
      (papers!571 upstream)
    - Fix rendering of large pages when zoomed in (papers#432 upstream)
    - Fix incorrect #error messages when including single headers
    - Allow more than one character to be selected when using caret selection,
      typically with accessibility tools (papers#432 upstream)
    - Add missing newline to `papers --version` output
    - Correct scaling of selection (papers#458 upstream)
    - Linter fixes
    - Translation updates

 -- Matthias Geiger <werdahias@debian.org>  Thu, 14 Aug 2025 20:35:27 +0200

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

export PATH := /usr/share/cargo/bin:$(PATH)

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_SOURCE_DIR=$(CURDIR)

ifeq ($(DEB_HOST_ARCH_BITS),32)
    export DEB_BUILD_OPTIONS += optimize=-lto
endif

%:
	dh $@

execute_after_dh_auto_clean:
	$(CARGO) -C $(CURDIR) -Z unstable-options clean
	rm -rf $(CARGO_HOME)
	rm -rf $(CARGO_REGISTRY)

override_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	rm -f .cargo/config Cargo.lock
	dh_auto_configure -- \
		-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
		-Dauto_features=enabled \
		-Ddocumentation=$(if $(filter nodoc,$(DEB_BUILD_OPTIONS)),false,true)

# prepare dependencies so we can regenerate the Rust bindings source code during build
# applying debian patches and upstream xmlstarlet fixes taken from upstream here: https://github.com/gtk-rs/gir-files/blob/master/fix.sh
execute_before_dh_auto_build:
	rm -f $(CURDIR)/rust/pps-girs/*.gir
	cp /usr/share/gir-1.0/GLib-2.0.gir $(CURDIR)/rust/pps-girs
	cp /usr/share/gir-1.0/Gdk-4.0.gir $(CURDIR)/rust/pps-girs
	cp /usr/share/gir-1.0/GdkPixbuf-2.0.gir $(CURDIR)/rust/pps-girs
	cp /usr/share/gir-1.0/GModule-2.0.gir $(CURDIR)/rust/pps-girs
	cp /usr/share/gir-1.0/Gio-2.0.gir $(CURDIR)/rust/pps-girs
	cp /usr/share/gir-1.0/Adw-1.gir $(CURDIR)/rust/pps-girs
	cp /usr/share/gir-1.0/GObject-2.0.gir $(CURDIR)/rust/pps-girs
	cp /usr/share/gir-1.0/Pango-1.0.gir $(CURDIR)/rust/pps-girs
	cp /usr/share/gir-1.0/HarfBuzz-0.0.gir $(CURDIR)/rust/pps-girs
	cp /usr/share/gir-1.0/freetype2-2.0.gir $(CURDIR)/rust/pps-girs
	cp /usr/share/gir-1.0/cairo-1.0.gir $(CURDIR)/rust/pps-girs
	cp /usr/share/gir-1.0/PangoCairo-1.0.gir $(CURDIR)/rust/pps-girs
	cp /usr/share/gir-1.0/Gtk-4.0.gir $(CURDIR)/rust/pps-girs
	cp /usr/share/gir-1.0/Gsk-4.0.gir $(CURDIR)/rust/pps-girs
	cp /usr/share/gir-1.0/Graphene-1.0.gir $(CURDIR)/rust/pps-girs
	xmlstarlet ed -L \
	-u '//_:parameter[@name="response_id"]/_:type[@name="gint"]/@c:type' -v "GtkResponseType" \
	-u '//_:parameter[@name="response_id"]/_:type[@name="gint"]/@name' -v "ResponseType" \
	$(CURDIR)/rust/pps-girs/Gtk-4.0.gir
	xmlstarlet ed -L \
	-d '///_:alias[@name="Int32"]' \
	$(CURDIR)/rust/pps-girs/freetype2-2.0.gir
	xmlstarlet ed -L \
	-i '///_:type[not(@name) and @c:type="hb_font_t*"]' -t 'attr' -n 'name' -v "gconstpointer" \
	-u '//_:type[@c:type="hb_font_t*"]/@c:type' -v "gconstpointer" \
	-i '///_:array[not(@name) and @c:type="hb_feature_t*"]' -t 'attr' -n 'name' -v "gconstpointer" \
	-r '///_:array[@c:type="hb_feature_t*"]' -v "type" \
	-d '//_:type[@c:type="hb_feature_t*"]/*' \
	-d '//_:type[@c:type="hb_feature_t*"]/@length' \
	-d '//_:type[@c:type="hb_feature_t*"]/@zero-terminated' \
	-u '//_:type[@c:type="hb_feature_t*"]/@c:type' -v "gconstpointer" \
	-d '//_:record[@c:type="PangoGlyphVisAttr"]/_:field/@bits' \
	-d '//_:record[@c:type="PangoGlyphVisAttr"]/_:field[@name="is_color"]' \
	$(CURDIR)/rust/pps-girs/Pango-1.0.gir
	xmlstarlet ed -L \
	-u '//*[@glib:error-domain="g-option-context-error-quark"]/@glib:error-domain' -v g-option-error-quark \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_boolean_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gboolean*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_double_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gdouble*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_integer_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gint*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_locale_string_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "const gchar* const*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_string_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "const gchar* const*" \
	$(CURDIR)/rust/pps-girs/GLib-2.0.gir
	xmlstarlet ed -L \
	-u '//_:class[@name="Object"]/_:method[@name="getv"]//_:parameter[@name="names"]/_:array/@c:type' -v "const gchar**" \
	-u '//_:class[@name="Object"]/_:method[@name="getv"]//_:parameter[@name="values"]/_:array/@c:type' -v "GValue*" \
	-u '//_:class[@name="Object"]/_:method[@name="setv"]//_:parameter[@name="names"]/_:array/@c:type' -v "const gchar**" \
	-u '//_:class[@name="Object"]/_:method[@name="setv"]//_:parameter[@name="values"]/_:array/@c:type' -v "const GValue*" \
	-u '//_:class[@name="Object"]/_:constructor[@name="new_with_properties"]//_:parameter[@name="names"]/_:array/@c:type' -v "const char**" \
	-u '//_:class[@name="Object"]/_:constructor[@name="new_with_properties"]//_:parameter[@name="values"]/_:array/@c:type' -v "const GValue*" \
	-i '//_:interface[@name="TypePlugin" and not(@glib:type-struct)]' -t 'attr' -n 'glib:type-struct' -v 'TypePluginClass' \
	-i '//_:record[@name="TypePluginClass" and not(@glib:is-gtype-struct-for)]' -t 'attr' -n 'glib:is-gtype-struct-for' -v 'TypePlugin' \
	$(CURDIR)/rust/pps-girs/GObject-2.0.gir
	xmlstarlet ed -L \
	-u '//_:record[@name="PixbufModule"]/_:field[@name="module"]/_:type/@name' -v "gpointer" \
	-u '//_:record[@name="PixbufModule"]/_:field[@name="module"]/_:type/@c:type' -v "gpointer" \
	$(CURDIR)/rust/pps-girs/GdkPixbuf-2.0.gir
	xmlstarlet ed -L \
	-d '///_:function[@c:identifier="hb_graphite2_face_get_gr_face"]' \
	-d '///_:function[@c:identifier="hb_graphite2_font_get_gr_font"]' \
	-d '///_:function[@c:identifier="hb_ft_face_create"]' \
	-d '///_:function[@c:identifier="hb_ft_face_create_cached"]' \
	-d '///_:function[@c:identifier="hb_ft_face_create_referenced"]' \
	-d '///_:function[@c:identifier="hb_ft_font_create"]' \
	-d '///_:function[@c:identifier="hb_ft_font_create_cached"]' \
	-d '///_:function[@c:identifier="hb_ft_font_create_referenced"]' \
	-d '///_:function[@c:identifier="hb_ft_font_get_face"]' \
	-d '///_:function[@c:identifier="hb_ft_font_lock_face"]' \
	$(CURDIR)/rust/pps-girs/HarfBuzz-0.0.gir

override_dh_makeshlibs:
	dh_makeshlibs \
		-X /usr/lib/$(DEB_HOST_MULTIARCH)/papers/

execute_after_dh_install:
	install -m 0644 -D debian/apparmor-profile debian/papers/etc/apparmor.d/usr.bin.papers
	install -m 0644 -D debian/apparmor-profile.abstraction debian/papers/etc/apparmor.d/abstractions/papers
	install -m 0644 -D debian/papers.apport debian/papers/usr/share/apport/package-hooks/source_papers.py
	dh_apparmor --profile-name=usr.bin.papers -ppapers

override_dh_gnome_clean:

## papers 49.0

=== debian/changelog ===
papers (49.0-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends (Closes: #1115796)
  * Rename library packages for soname bump
  * Update symbols files
  * Build with sysprof support
  * Add patch to avoid using rust-git-version: unnecessary and not in Debian
  * Add patch to use older rust-oo7
  * debian/papers.docs: NEWS → NEWS.md
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Sep 2025 23:49:51 -0400

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                appstream,
+               blueprint-compiler,
                desktop-file-utils,
                gi-docgen (>= 2021.1) <!nodoc>,
                gir-rust-code-generator,
@@ -23,7 +24,7 @@
                gobject-introspection (>= 1.0),
                gsettings-desktop-schemas-dev,
                itstool,
-               libadwaita-1-dev (>= 1.6.0),
+               libadwaita-1-dev (>= 1.8~alpha),
                libarchive-dev (>= 3.6.0),
                libcairo2-dev (>= 1.14.0),
                libdjvulibre-dev (>= 2.0),
@@ -39,7 +40,8 @@
                librust-futures-0.3-dev,
                librust-gettext-rs-0.7+gettext-system-dev,
                librust-gtk4+gnome-45-dev,
-               librust-libadwaita-0.7+v1-5-dev,
+               librust-image-0.25+png-dev,
+               librust-libadwaita-0.8+v1-7-dev,
                librust-libc-0.2-dev,
                librust-log-0.4-dev,
                librust-lru-0.12-dev,
@@ -48,13 +50,13 @@
                librust-system-deps-7-dev,
                librust-tempfile-3-dev <!nocheck>,
                libspelling-1-dev,
+               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x powerpc ppc64],
                libtiff-dev (>= 4),
-               meson (>= 0.59.0),
+               meson (>= 1.8.0),
                rustfmt,
                xmlstarlet,
                zlib1g-dev
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/papers
 Vcs-Git: https://salsa.debian.org/gnome-team/papers.git
 Homepage: https://apps.gnome.org/Papers/
@@ -62,8 +64,8 @@
 Package: papers
 Architecture: any
 Depends: gsettings-desktop-schemas,
-         libppsdocument-4.0-5 (= ${binary:Version}),
-         libppsview-4.0-4 (= ${binary:Version}),
+         libppsdocument-4.0-6 (= ${binary:Version}),
+         libppsview-4.0-5 (= ${binary:Version}),
          papers-common (>= ${source:Version}),
          shared-mime-info,
          ${misc:Depends},
@@ -90,7 +92,7 @@
  .
  This package contains architecture-independent files for papers.
 
-Package: libppsdocument-4.0-5
+Package: libppsdocument-4.0-6
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -101,7 +103,7 @@
  .
  It ships with a pdf, tiff, djvu, and comics backend.
 
-Package: libppsview-4.0-4
+Package: libppsview-4.0-5
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -115,8 +117,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libadwaita-1-dev,
-         libppsdocument-4.0-5 (= ${binary:Version}),
-         libppsview-4.0-4 (= ${binary:Version}),
+         libppsdocument-4.0-6 (= ${binary:Version}),
+         libppsview-4.0-5 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
 Provides: ${gir:Provides}

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,10 @@
     export DEB_BUILD_OPTIONS += optimize=-lto
 endif
 
+ifeq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el loong64 riscv64 s390x powerpc ppc64,$(DEB_HOST_ARCH)),)
+SYSPROF += -Dsysprof=disabled
+endif
+
 %:
 	dh $@
 
@@ -34,7 +38,8 @@
 	dh_auto_configure -- \
 		-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
 		-Dauto_features=enabled \
-		-Ddocumentation=$(if $(filter nodoc,$(DEB_BUILD_OPTIONS)),false,true)
+		-Ddocumentation=$(if $(filter nodoc,$(DEB_BUILD_OPTIONS)),false,true) \
+		$(SYSPROF)
 
 # prepare dependencies so we can regenerate the Rust bindings source code during build
 # applying debian patches and upstream xmlstarlet fixes taken from upstream here: https://github.com/gtk-rs/gir-files/blob/master/fix.sh

## papers 49.1

=== meson_options.txt ===
option('profile', type: 'combo', choices: ['default', 'devel'], value: 'default', description: 'whether this is a development build')

option('shell', type: 'boolean', value: true, description: 'whether Shell support is requested')
option('previewer', type: 'boolean', value: true, description: 'whether Previewer support is requested')
option('thumbnailer', type: 'boolean', value: true, description: 'whether Thumbnailer support is requested')
option('nautilus', type: 'boolean', value: true, description: 'whether Nautilus support is requested')

option('comics', type: 'feature', value: 'auto', description: 'whether Comics support is requested')
option('djvu', type: 'feature', value: 'auto', description: 'whether DJVU support is requested')
option('pdf', type: 'feature', value: 'enabled', description: 'whether PDF support is requested')
option('tiff', type: 'feature', value: 'auto', description: 'whether TIFF support is requested')

option('tests', type: 'boolean', value: true, description: 'whether to build tests')
option('documentation', type: 'boolean', value: true, description: 'whether developer documentation reference is requested. Requires gi-docgen')
option('user_doc', type: 'boolean', value: true, description: 'whether User documentation is requested')
option('introspection', type: 'feature', value: 'auto', description : 'Build introspection data (requires gobject-introspection)')
option('sysprof', type: 'feature', value: 'auto', description : 'whether sysprof support is requested')
option('keyring', type: 'feature', value: 'enabled', description: 'whether keyring support is requested')
option('gtk_unix_print', type: 'feature', value: 'auto', description: 'whether gtk+-unix-print support is requested')
option('spell_check', type: 'feature', value: 'auto', description: 'whether spell check support is requested')
option('file_tests', type: 'boolean', value: true, description: 'Enable tests for libview')

=== debian/changelog ===
papers (49.1-1ubuntu1) resolute; urgency=medium

  [ Alessandro Astone ]
  * Merge with Debian (LP: #2129791). Remaining changes:
    - Branch for Ubuntu
    - Add debian/.gitignore to avoid static libraries
    - Add patch to build with vendored crates
    - Disable patches unneeded by Ubuntu build
    - Vendor Rust crate build dependencies into debian/missing-sources/
      as required by current Ubuntu MIR policy
    - Update debian/source/include-binaries
    - Update XS-Vendored-Sources-Rust field
  * Drop dh-sequence-translations, included in dh-sequence-gnome
  * Automate XS-Vendored-Sources-Rust handling
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field
  * Build-Depends: quilt

  [ Jeremy Bícha ]
  * Simplify handling exclusion of .a file
  * README.source: Remove the "general overview"
  * README.source: Add prerequisites
  * README.source: apply patches instead of discussing it
  * Use a custom vendor rule in debian/rules rather than in debian/README.source

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 31 Oct 2025 17:33:23 +0100

papers (49.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Oct 2025 08:50:42 -0400

papers (49.0-3) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Lower timeout for riscv64.
    The test completed in 2170 seconds, so 3600 seconds is hopefully enough

  [ Arnaud Ferraris ]
  * debian: port to oo7 v0.5
  * d/copyright: drop entries for no-longer-existing files
  * d/control: fix gobject-introspection dependency.
    Depending on `libgirepository1.0-dev` is no longer needed as long as we
    have a recent enough `gobject-introspection`, so we can use
    `deb-gir-tool` to locate and copy .gir files.
  * salsa-ci: disable reprotest.
    It is known to be flaky on Rust packages.

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 02 Oct 2025 21:58:10 +0200

papers (49.0-2) unstable; urgency=medium

  * Extend dh_auto_test timeout for riscv64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Sep 2025 16:02:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: papers
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
@@ -11,17 +12,18 @@
                dh-cargo,
                dh-sequence-gir,
                dh-sequence-gnome,
+               quilt,
                appstream,
                blueprint-compiler,
                desktop-file-utils,
                gi-docgen (>= 2021.1) <!nodoc>,
-               gir-rust-code-generator,
+#               gir-rust-code-generator,
                gir1.2-gdk-4.0-dev,
                gir1.2-gdkpixbuf-2.0-dev,
                gir1.2-gio-2.0-dev,
                gir1.2-gobject-2.0-dev,
                gir1.2-gtk-4.0-dev,
-               gobject-introspection (>= 1.0),
+               gobject-introspection (>= 1.86.0-5),
                gsettings-desktop-schemas-dev,
                itstool,
                libadwaita-1-dev (>= 1.8~alpha),
@@ -30,35 +32,35 @@
                libdjvulibre-dev (>= 2.0),
                libexempi-dev (>= 2.0),
                libgdk-pixbuf-2.0-dev (>= 2.40),
-               libgirepository1.0-dev (>= 1.0),
                libglib2.0-dev (>= 2.75),
                libgtk-4-dev (>= 4.17.1),
                libnautilus-extension-dev (>= 43),
                libpoppler-glib-dev (>= 25.03),
-               librust-bitflags-2-dev,
-               librust-env-logger-0.11-dev,
-               librust-futures-0.3-dev,
-               librust-gettext-rs-0.7+gettext-system-dev,
-               librust-gtk4+gnome-45-dev,
-               librust-image-0.25+png-dev,
-               librust-libadwaita-0.8+v1-7-dev,
-               librust-libc-0.2-dev,
-               librust-log-0.4-dev,
-               librust-lru-0.12-dev,
-               librust-oo7-0.3-dev,
-               librust-shell-words-1-dev,
-               librust-system-deps-7-dev,
-               librust-tempfile-3-dev <!nocheck>,
+#               librust-bitflags-2-dev,
+#               librust-env-logger-0.11-dev,
+#               librust-futures-0.3-dev,
+#               librust-gettext-rs-0.7+gettext-system-dev,
+#               librust-gtk4+gnome-45-dev,
+#               librust-image-0.25+png-dev,
+#               librust-libadwaita-0.8+v1-7-dev,
+#               librust-libc-0.2-dev,
+#               librust-log-0.4-dev,
+#               librust-lru-0.12-dev,
+#               librust-oo7-0.5-dev,
+#               librust-shell-words-1-dev,
+#               librust-system-deps-7-dev,
+#               librust-tempfile-3-dev <!nocheck>,
                libspelling-1-dev,
                libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x powerpc ppc64],
                libtiff-dev (>= 4),
                meson (>= 1.8.0),
-               rustfmt,
-               xmlstarlet,
+#               rustfmt,
+#               xmlstarlet,
                zlib1g-dev
+XS-Vendored-Sources-Rust: adler2@2.0.1, aes@0.8.4, aho-corasick@1.1.3, allocator-api2@0.2.21, anstream@0.6.20, anstyle-parse@0.2.7, anstyle-query@1.1.4, anstyle@1.0.11, ashpd@0.11.0, async-broadcast@0.7.2, async-channel@2.5.0, async-executor@1.13.3, async-fs@2.1.3, async-io@2.5.0, async-lock@3.4.1, async-net@2.0.0, async-process@2.4.0, async-signal@0.2.12, async-task@4.7.1, async-trait@0.1.89, atomic-waker@1.1.2, autocfg@1.5.0, bitflags@1.3.2, bitflags@2.9.3, block-buffer@0.10.4, block-padding@0.3.3, blocking@1.6.2, bytemuck@1.23.2, byteorder-lite@0.1.0, byteorder@1.5.0, cairo-rs@0.21.1, cairo-sys-rs@0.21.1, cbc@0.1.2, cc@1.2.34, cfg-expr@0.18.0, cfg-if@1.0.3, cfg_aliases@0.2.1, cipher@0.4.4, colorchoice@1.0.4, concurrent-queue@2.5.0, cpufeatures@0.2.17, crc32fast@1.5.0, crossbeam-utils@0.8.21, crypto-common@0.1.6, digest@0.10.7, displaydoc@0.2.5, endi@1.1.0, enumflags2@0.7.12, enumflags2_derive@0.7.12, env_filter@0.1.3, env_logger@0.11.8, equivalent@1.0.2, errno@0.3.13, event-listener-strategy@0.5.4, event-listener@5.4.1, fastrand@2.3.0, fdeflate@0.3.7, field-offset@0.3.6, flate2@1.1.2, foldhash@0.1.5, form_urlencoded@1.2.2, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.1, futures-macro@0.3.31, futures-sink@0.3.31, futures-task@0.3.31, futures-util@0.3.31, futures@0.3.31, gdk-pixbuf-sys@0.21.1, gdk-pixbuf@0.21.1, gdk4-sys@0.10.0, gdk4@0.10.0, generic-array@0.14.7, getrandom@0.2.16, getrandom@0.3.3, gettext-rs@0.7.2, gettext-sys@0.22.5, gio-sys@0.21.1, gio@0.21.1, git-version-macro@0.3.9, git-version@0.3.9, glib-macros@0.21.0, glib-sys@0.21.1, glib@0.21.1, gobject-sys@0.21.1, graphene-rs@0.21.1, graphene-sys@0.21.1, gsk4-sys@0.10.0, gsk4@0.10.0, gtk4-macros@0.10.0, gtk4-sys@0.10.0, gtk4@0.10.0, hashbrown@0.15.5, heck@0.5.0, hex@0.4.3, hkdf@0.12.4, hmac@0.12.1, icu_collections@2.0.0, icu_locale_core@2.0.0, icu_normalizer@2.0.0, icu_normalizer_data@2.0.0, icu_properties@2.0.1, icu_properties_data@2.0.1, icu_provider@2.0.0, idna@1.1.0, idna_adapter@1.2.1, image@0.25.6, indexmap@2.11.0, inout@0.1.4, is_terminal_polyfill@1.70.1, jiff@0.2.15, lazy_static@1.5.0, libadwaita-sys@0.8.0, libadwaita@0.8.0, libc@0.2.175, libm@0.2.15, linux-raw-sys@0.9.4, litemap@0.8.0, locale_config@0.3.0, log@0.4.27, lru@0.16.0, md-5@0.10.6, memchr@2.7.5, memoffset@0.9.1, miniz_oxide@0.8.9, nix@0.30.1, num-bigint-dig@0.8.4, num-bigint@0.4.6, num-complex@0.4.6, num-integer@0.1.46, num-iter@0.1.45, num-rational@0.4.2, num-traits@0.2.19, num@0.4.3, once_cell@1.21.3, oo7@0.4.3, ordered-stream@0.2.0, pango-sys@0.21.1, pango@0.21.1, parking@2.2.1, pbkdf2@0.12.2, percent-encoding@2.3.2, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.32, png@0.17.16, polling@3.10.0, potential_utf@0.1.3, ppv-lite86@0.2.21, proc-macro-crate@3.3.0, proc-macro2@1.0.101, quote@1.0.40, rand@0.8.5, rand@0.9.2, rand_chacha@0.3.1, rand_chacha@0.9.0, rand_core@0.6.4, rand_core@0.9.3, regex-automata@0.4.10, regex-syntax@0.8.6, regex@1.11.2, rustc_version@0.4.1, rustix@1.0.8, semver@1.0.26, serde@1.0.219, serde_derive@1.0.219, serde_repr@0.1.20, serde_spanned@0.6.9, sha2@0.10.9, shell-words@1.1.0, shlex@1.3.0, signal-hook-registry@1.4.6, simd-adler32@0.3.7, slab@0.4.11, smallvec@1.15.1, spin@0.9.8, stable_deref_trait@1.2.0, static_assertions@1.1.0, subtle@2.6.1, syn@2.0.106, synstructure@0.13.2, system-deps@7.0.5, target-lexicon@0.13.2, temp-dir@0.1.16, tempfile@3.21.0, tinystr@0.8.1, toml@0.8.23, toml_datetime@0.6.11, toml_edit@0.22.27, tracing-attributes@0.1.30, tracing-core@0.1.34, tracing@0.1.41, typenum@1.18.0, unicode-ident@1.0.18, url@2.5.7, utf8_iter@1.0.4, utf8parse@0.2.2, version-compare@0.2.0, version_check@0.9.5, winnow@0.7.13, writeable@0.6.1, yoke-derive@0.8.0, yoke@0.8.0, zbus@5.10.0, zbus_macros@5.10.0, zbus_names@4.2.0, zerocopy@0.8.26, zerofrom-derive@0.1.6, zerofrom@0.1.6, zeroize@1.8.1, zeroize_derive@1.4.2, zerotrie@0.2.2, zerovec-derive@0.11.1, zerovec@0.11.4, zvariant@5.7.0, zvariant_derive@5.7.0, zvariant_utils@3.2.1
 Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/papers
-Vcs-Git: https://salsa.debian.org/gnome-team/papers.git
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/papers
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/papers.git
 Homepage: https://apps.gnome.org/Papers/
 
 Package: papers

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

ifeq ($(DEB_HOST_ARCH_BITS),32)
    export DEB_BUILD_OPTIONS += optimize=-lto
endif

ifeq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el loong64 riscv64 s390x powerpc ppc64,$(DEB_HOST_ARCH)),)
SYSPROF += -Dsysprof=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Ddocumentation=$(if $(filter nodoc,$(DEB_BUILD_OPTIONS)),false,true) \
		$(SYSPROF)

override_dh_makeshlibs:
	dh_makeshlibs \
		-X /usr/lib/$(DEB_HOST_MULTIARCH)/papers/

execute_after_dh_install:
	install -m 0644 -D debian/apparmor-profile debian/papers/etc/apparmor.d/usr.bin.papers
	install -m 0644 -D debian/apparmor-profile.abstraction debian/papers/etc/apparmor.d/abstractions/papers
	install -m 0644 -D debian/papers.apport debian/papers/usr/share/apport/package-hooks/source_papers.py
	dh_apparmor --profile-name=usr.bin.papers -ppapers

# cargo-test's 30 minutes (1800 seconds) timeout
# isn't enough for Debian's riscv64 builders
override_dh_auto_test:

ifneq (,$(filter $(DEB_HOST_ARCH),riscv64))
	dh_auto_test --  --timeout-multiplier 2
else
	dh_auto_test
endif

override_dh_gnome_clean:

vendor:
	dh_quilt_patch
	rm -f .cargo/config
	rm -rf debian/missing-sources/
	$ cargo vendor-filterer --platform='*-*-linux-gnu' --platform '*-*-linux-gnueabi' \
	  --exclude-crate-path system-deps#src/tests/lib/libteststatic.a --all-features \
	  debian/missing-sources/
	git add -f debian/missing-sources
	git commit -m "Update vendored rust crates" || true
	git reset --hard && git clean -fdx

	uscan --download-current-version --destdir=..
	rm debian/source/include-binaries
	dpkg-source --include-binaries -b .
	git add debian/source/include-binaries
	git commit -m "Update debian/source/include-binaries" || true
	git reset --hard && git clean -fdx

	rm Cargo.toml
	VENDORED_SOURCES=$$(CARGO_VENDOR_DIR=debian/missing-sources/ /usr/share/cargo/bin/dh-cargo-vendored-sources 2>&1 | grep "^XS-Vendored-Sources-Rust:") \
	  && sed -i "s/^XS-Vendored-Sources-Rust:.*/$${VENDORED_SOURCES}/" debian/control
	git add debian/control
	git commit -m "Update XS-Vendored-Sources-Rust field" || true
	git checkout Cargo.toml

## papers 49.2

=== debian/changelog ===
papers (49.2-3ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    - Add debian/.gitignore to avoid static libraries
    - Add patch to build with vendored crates
    - Disable patches unneeded by Ubuntu build
    - Vendor Rust crate build dependencies into debian/missing-sources/
      as required by current Ubuntu MIR policy
    - Update debian/source/include-binaries
    - Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 10 Dec 2025 09:18:41 +0100

papers (49.2-3) unstable; urgency=medium

  [ Alessandro Astone ]
  * debian/apparmor-profile: Allow GPU rendering on NVIDIA (LP: #2134437)
  * debian/apparmor-profile: Restrict gvfs access by owner

  [ Jeremy Bícha ]
  * Remove unnecessary Priority: optional field
  * Add Build-Depends: gir1.2-pango-1.0-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Dec 2025 13:51:46 -0500

papers (49.2-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * debian/apparmor-profile: Allow opening remote files from gvfs
    (LP: #2101786, #2131583)

  [ Jeremy Bícha ]
  * Remove references to armel and mips64el
  * Remove obsolete dh_gnome_clean override
  * Salsa CI: Remove explicit disabling of reprotest

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Dec 2025 19:06:16 -0500

papers (49.2-1ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add debian/.gitignore to avoid static libraries
    - Add patch to build with vendored crates
    - Disable patches unneeded by Ubuntu build
    - Vendor Rust crate build dependencies into debian/missing-sources/
      as required by current Ubuntu MIR policy
    - Update debian/source/include-binaries
    - Update XS-Vendored-Sources-Rust field
  * d/rules: Do not fail vendor target with no changes

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 03 Dec 2025 11:49:37 +0100

papers (49.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update Build-Depends
  * Mark papers-common as Multi-Arch: foreign
  * Move gi-docgen to Build-Depends-Indep
  * Remove Suggests: devhelp
  * Refresh patches

  [ Alessandro Astone ]
  * debian/apparmor-profile: Allow GPU rendering (LP: #2130422)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Nov 2025 21:44:44 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: papers
 Section: gnome
-Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
@@ -15,13 +14,14 @@
                quilt,
                appstream,
                blueprint-compiler,
+               cargo:native,
                desktop-file-utils,
-               gi-docgen (>= 2021.1) <!nodoc>,
 #               gir-rust-code-generator,
                gir1.2-gdk-4.0-dev,
                gir1.2-gdkpixbuf-2.0-dev,
                gir1.2-gio-2.0-dev,
                gir1.2-gobject-2.0-dev,
+               gir1.2-pango-1.0-dev,
                gir1.2-gtk-4.0-dev,
                gobject-introspection (>= 1.86.0-5),
                gsettings-desktop-schemas-dev,
@@ -36,27 +36,46 @@
                libgtk-4-dev (>= 4.17.1),
                libnautilus-extension-dev (>= 43),
                libpoppler-glib-dev (>= 25.03),
-#               librust-bitflags-2-dev,
-#               librust-env-logger-0.11-dev,
-#               librust-futures-0.3-dev,
+#               librust-bitflags-2+default-dev (>= 2.2-~~),
+#               librust-cairo-rs-0.21+default-dev,
+#               librust-cairo-sys-rs-0.21+default-dev,
+#               librust-env-logger-0.11+default-dev,
+#               librust-futures-0.3+default-dev,
+#               librust-gdk-pixbuf-0.21+default-dev,
+#               librust-gdk-pixbuf-sys-0.21+default-dev,
+#               librust-gdk4-0.10+default-dev,
+#               librust-gdk4-sys-0.10+default-dev,
+#               librust-gettext-rs-0.7+default-dev,
 #               librust-gettext-rs-0.7+gettext-system-dev,
-#               librust-gtk4+gnome-45-dev,
+#               librust-gio-0.21+default-dev,
+#               librust-gio-sys-0.21+default-dev,
+#               librust-glib-0.21+default-dev,
+#               librust-glib-sys-0.21+default-dev,
+#               librust-gobject-sys-0.21+default-dev,
+#               librust-gtk4-0.10+default-dev,
+#               librust-gtk4-0.10+gnome-45-dev,
+#               librust-gtk4-sys-0.10+default-dev,
 #               librust-image-0.25+png-dev,
+#               librust-libadwaita-0.8+default-dev,
 #               librust-libadwaita-0.8+v1-7-dev,
-#               librust-libc-0.2-dev,
-#               librust-log-0.4-dev,
-#               librust-lru-0.12-dev,
+#               librust-libc-0.2+default-dev,
+#               librust-log-0.4+default-dev,
+#               librust-lru-0+default-dev (>= 0.12-~~),
 #               librust-oo7-0.5-dev,
-#               librust-shell-words-1-dev,
-#               librust-system-deps-7-dev,
-#               librust-tempfile-3-dev <!nocheck>,
+#               librust-pango-0.21+default-dev,
+#               librust-pango-sys-0.21+default-dev,
+#               librust-shell-words-1+default-dev <!nocheck>,
+#               librust-system-deps-7+default-dev,
                libspelling-1-dev,
-               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x powerpc ppc64],
+               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64],
+#               librust-tempfile-3+default-dev <!nocheck>,
                libtiff-dev (>= 4),
                meson (>= 1.8.0),
+               rustc:native (>= 1.83),
 #               rustfmt,
 #               xmlstarlet,
                zlib1g-dev
+Build-Depends-Indep: gi-docgen (>= 2021.1) <!nodoc>
 XS-Vendored-Sources-Rust: adler2@2.0.1, aes@0.8.4, aho-corasick@1.1.3, allocator-api2@0.2.21, anstream@0.6.20, anstyle-parse@0.2.7, anstyle-query@1.1.4, anstyle@1.0.11, ashpd@0.11.0, async-broadcast@0.7.2, async-channel@2.5.0, async-executor@1.13.3, async-fs@2.1.3, async-io@2.5.0, async-lock@3.4.1, async-net@2.0.0, async-process@2.4.0, async-signal@0.2.12, async-task@4.7.1, async-trait@0.1.89, atomic-waker@1.1.2, autocfg@1.5.0, bitflags@1.3.2, bitflags@2.9.3, block-buffer@0.10.4, block-padding@0.3.3, blocking@1.6.2, bytemuck@1.23.2, byteorder-lite@0.1.0, byteorder@1.5.0, cairo-rs@0.21.1, cairo-sys-rs@0.21.1, cbc@0.1.2, cc@1.2.34, cfg-expr@0.18.0, cfg-if@1.0.3, cfg_aliases@0.2.1, cipher@0.4.4, colorchoice@1.0.4, concurrent-queue@2.5.0, cpufeatures@0.2.17, crc32fast@1.5.0, crossbeam-utils@0.8.21, crypto-common@0.1.6, digest@0.10.7, displaydoc@0.2.5, endi@1.1.0, enumflags2@0.7.12, enumflags2_derive@0.7.12, env_filter@0.1.3, env_logger@0.11.8, equivalent@1.0.2, errno@0.3.13, event-listener-strategy@0.5.4, event-listener@5.4.1, fastrand@2.3.0, fdeflate@0.3.7, field-offset@0.3.6, flate2@1.1.2, foldhash@0.1.5, form_urlencoded@1.2.2, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.1, futures-macro@0.3.31, futures-sink@0.3.31, futures-task@0.3.31, futures-util@0.3.31, futures@0.3.31, gdk-pixbuf-sys@0.21.1, gdk-pixbuf@0.21.1, gdk4-sys@0.10.0, gdk4@0.10.0, generic-array@0.14.7, getrandom@0.2.16, getrandom@0.3.3, gettext-rs@0.7.2, gettext-sys@0.22.5, gio-sys@0.21.1, gio@0.21.1, git-version-macro@0.3.9, git-version@0.3.9, glib-macros@0.21.0, glib-sys@0.21.1, glib@0.21.1, gobject-sys@0.21.1, graphene-rs@0.21.1, graphene-sys@0.21.1, gsk4-sys@0.10.0, gsk4@0.10.0, gtk4-macros@0.10.0, gtk4-sys@0.10.0, gtk4@0.10.0, hashbrown@0.15.5, heck@0.5.0, hex@0.4.3, hkdf@0.12.4, hmac@0.12.1, icu_collections@2.0.0, icu_locale_core@2.0.0, icu_normalizer@2.0.0, icu_normalizer_data@2.0.0, icu_properties@2.0.1, icu_properties_data@2.0.1, icu_provider@2.0.0, idna@1.1.0, idna_adapter@1.2.1, image@0.25.6, indexmap@2.11.0, inout@0.1.4, is_terminal_polyfill@1.70.1, jiff@0.2.15, lazy_static@1.5.0, libadwaita-sys@0.8.0, libadwaita@0.8.0, libc@0.2.175, libm@0.2.15, linux-raw-sys@0.9.4, litemap@0.8.0, locale_config@0.3.0, log@0.4.27, lru@0.16.0, md-5@0.10.6, memchr@2.7.5, memoffset@0.9.1, miniz_oxide@0.8.9, nix@0.30.1, num-bigint-dig@0.8.4, num-bigint@0.4.6, num-complex@0.4.6, num-integer@0.1.46, num-iter@0.1.45, num-rational@0.4.2, num-traits@0.2.19, num@0.4.3, once_cell@1.21.3, oo7@0.4.3, ordered-stream@0.2.0, pango-sys@0.21.1, pango@0.21.1, parking@2.2.1, pbkdf2@0.12.2, percent-encoding@2.3.2, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.32, png@0.17.16, polling@3.10.0, potential_utf@0.1.3, ppv-lite86@0.2.21, proc-macro-crate@3.3.0, proc-macro2@1.0.101, quote@1.0.40, rand@0.8.5, rand@0.9.2, rand_chacha@0.3.1, rand_chacha@0.9.0, rand_core@0.6.4, rand_core@0.9.3, regex-automata@0.4.10, regex-syntax@0.8.6, regex@1.11.2, rustc_version@0.4.1, rustix@1.0.8, semver@1.0.26, serde@1.0.219, serde_derive@1.0.219, serde_repr@0.1.20, serde_spanned@0.6.9, sha2@0.10.9, shell-words@1.1.0, shlex@1.3.0, signal-hook-registry@1.4.6, simd-adler32@0.3.7, slab@0.4.11, smallvec@1.15.1, spin@0.9.8, stable_deref_trait@1.2.0, static_assertions@1.1.0, subtle@2.6.1, syn@2.0.106, synstructure@0.13.2, system-deps@7.0.5, target-lexicon@0.13.2, temp-dir@0.1.16, tempfile@3.21.0, tinystr@0.8.1, toml@0.8.23, toml_datetime@0.6.11, toml_edit@0.22.27, tracing-attributes@0.1.30, tracing-core@0.1.34, tracing@0.1.41, typenum@1.18.0, unicode-ident@1.0.18, url@2.5.7, utf8_iter@1.0.4, utf8parse@0.2.2, version-compare@0.2.0, version_check@0.9.5, winnow@0.7.13, writeable@0.6.1, yoke-derive@0.8.0, yoke@0.8.0, zbus@5.10.0, zbus_macros@5.10.0, zbus_names@4.2.0, zerocopy@0.8.26, zerofrom-derive@0.1.6, zerofrom@0.1.6, zeroize@1.8.1, zeroize_derive@1.4.2, zerotrie@0.2.2, zerovec-derive@0.11.1, zerovec@0.11.4, zvariant@5.7.0, zvariant_derive@5.7.0, zvariant_utils@3.2.1
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/papers
@@ -84,6 +103,7 @@
 
 Package: papers-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: PDF document viewer for GNOME - common files
  Papers is a simple multi-page document viewer. It can display and print
@@ -139,7 +159,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Build-Profiles: <!nodoc>
-Suggests: devhelp
 Description: Document (Comic Books, DjVu, PDF) rendering library - documentation
  This package contains papers-related libraries for rendering and displaying
  Papers documents like Comic Books archives (CBR, CBT, CBZ, CB7), DjVu,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
     export DEB_BUILD_OPTIONS += optimize=-lto
 endif
 
-ifeq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el loong64 riscv64 s390x powerpc ppc64,$(DEB_HOST_ARCH)),)
+ifeq ($(filter amd64 arm64 armhf i386 ppc64el loong64 riscv64 s390x powerpc ppc64,$(DEB_HOST_ARCH)),)
 SYSPROF += -Dsysprof=disabled
 endif
 
@@ -19,7 +19,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dauto_features=enabled \
-		-Ddocumentation=$(if $(filter nodoc,$(DEB_BUILD_OPTIONS)),false,true) \
+		-Ddocumentation=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
 		$(SYSPROF)
 
 override_dh_makeshlibs:
@@ -35,14 +35,11 @@
 # cargo-test's 30 minutes (1800 seconds) timeout
 # isn't enough for Debian's riscv64 builders
 override_dh_auto_test:
-
 ifneq (,$(filter $(DEB_HOST_ARCH),riscv64))
 	dh_auto_test --  --timeout-multiplier 2
 else
 	dh_auto_test
 endif
-
-override_dh_gnome_clean:
 
 vendor:
 	dh_quilt_patch
@@ -64,7 +61,7 @@
 
 	rm Cargo.toml
 	VENDORED_SOURCES=$$(CARGO_VENDOR_DIR=debian/missing-sources/ /usr/share/cargo/bin/dh-cargo-vendored-sources 2>&1 | grep "^XS-Vendored-Sources-Rust:") \
-	  && sed -i "s/^XS-Vendored-Sources-Rust:.*/$${VENDORED_SOURCES}/" debian/control
+	  && sed -i "s/^XS-Vendored-Sources-Rust:.*/$${VENDORED_SOURCES}/" debian/control || true
 	git add debian/control
 	git commit -m "Update XS-Vendored-Sources-Rust field" || true
 	git checkout Cargo.toml
